package com.usky.system.service.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 人员信息
 * </p>
 *
 * @author JCB
 * @since 2022-08-22
 */
public class SysPersonVo{

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Integer id;

    /**
     * 姓名
     */
    private String fullName;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 性别;1男、2女
     */
    private Integer gender;

    /**
     * 家庭住址
     */
    private String address;

    /**
     * 文化程度;1小学、2初中、3高中、4大专、5本科、6硕士研究生、7博士研究生、8其他
     */
    private Integer educationDegree;

    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 联系方式
     */
    private String linkPhone;

    /**
     * 岗位ID
     */
    private Long postId;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 入职时间
     */
    private LocalDateTime entryTime;

    /**
     * 证书1
     */
    private String certificateUrl1;

    /**
     * 证书2
     */
    private String certificateUrl2;

    /**
     * 证书3
     */
    private String certificateUrl3;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 图片数据（base64编码）
     */
    private String faceBase;

    /**
     * 验证次数（默认0）
     */
    private Integer vefNum;

    /**
     * 人脸备注
     */
    private String remark;

    /**
     * 人脸状态（0=可用，1=不可用）
     */
    private Integer faceStatus;

    /**
     * 卡号
     */
    private String cardNum;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getEducationDegree() {
        return educationDegree;
    }

    public void setEducationDegree(Integer educationDegree) {
        this.educationDegree = educationDegree;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getLinkPhone() {
        return linkPhone;
    }

    public void setLinkPhone(String linkPhone) {
        this.linkPhone = linkPhone;
    }

    public Long getPostId() {
        return postId;
    }

    public void setPostId(Long postId) {
        this.postId = postId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public LocalDateTime getEntryTime() {
        return entryTime;
    }

    public void setEntryTime(LocalDateTime entryTime) {
        this.entryTime = entryTime;
    }

    public String getCertificateUrl1() {
        return certificateUrl1;
    }

    public void setCertificateUrl1(String certificateUrl1) {
        this.certificateUrl1 = certificateUrl1;
    }

    public String getCertificateUrl2() {
        return certificateUrl2;
    }

    public void setCertificateUrl2(String certificateUrl2) {
        this.certificateUrl2 = certificateUrl2;
    }

    public String getCertificateUrl3() {
        return certificateUrl3;
    }

    public void setCertificateUrl3(String certificateUrl3) {
        this.certificateUrl3 = certificateUrl3;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getUpdatePerson() {
        return updatePerson;
    }

    public void setUpdatePerson(String updatePerson) {
        this.updatePerson = updatePerson;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
}
